@import './variables';
@import './colors';

.box-container.home {
	.white-box.big {
		text-transform: uppercase;

		>div.topRow {
			div.play {
				display: flex;
				background: map-get($colors, orange);
				color: map-get($colors, inButtonText);
				width: 84%;
				line-height: 8.5vh;
				margin-right: 3%;
				padding: 1% 1%;
				align-items: center;
				justify-content: center;
				cursor: pointer;

				div {
					font-size: 5vh;
					text-align: center;
					width: 90%;
				}

				i {
					font-size: 7vh;
				}
			}

			div.contents {
				background: map-get($colors, yellow);
				padding: 3%;
				padding-top: 2.5%;
				width: 7%;
				height: auto;
				cursor: pointer;

				img {
					width: 100%;
					height: auto;
				}
			}

			>div {
				border-radius: $buttonRadius;
			}

			display:flex;
			height: 25%;
			margin-bottom: 3%;
		}

		>div.bottomRow {
			height: 65%;

			.langSwitch {
				pointer-events: none;
				opacity: 0.7;
			}

			div.box {
				img {
					width: auto;
					height: auto;
					max-height: 15vh;
					max-width: 15vh;
				}

				img,
				span {
					margin-top: auto;
				}

				.switchContainer.bees {
					width: auto;
					height: auto;
					max-height: 3vh;
					max-width: 15vh;
					align-self: center;
					display: flex;
					align-items: center;

					img {
						max-height: 3vh;
						max-width: 3vh;
					}
				}

				.changableBee {
					align-items: center;
					display: flex;
					margin-top: 27px;
				}

				background: map-get($colors, yellow);
				padding: 1vw;
				margin-right: 2vw;
				border-radius: $buttonRadius;
				color: map-get($colors, inButtonText);
				display: flex;
				flex-direction: column;
				align-items: center;
				justify-content: center;
				width: 100%;
				cursor: pointer;
			}

			>div:last-of-type {
				margin-right: 0
			}

			.switchContainer {
				align-self: flex-end;

				.switch {
					position: relative;
					display: inline-block;
					width: 30px;
					height: 18px;
				}

				.switch input {
					opacity: 0;
					width: 0;
					height: 0;
				}

				.slider {
					position: absolute;
					cursor: pointer;
					top: 0;
					left: 0;
					right: 0;
					bottom: 0;
					background-color: #ccc;
					-webkit-transition: .4s;
					transition: .4s;
					border-radius: 34px;
				}

				.slider:before {
					position: absolute;
					content: "";
					height: 13px;
					width: 13px;
					left: 4px;
					bottom: 2.49px;
					background-color: white;
					-webkit-transition: .4s;
					transition: .4s;
					border-radius: 50%;
				}

				input:checked+.slider {
					background-color: #2196F3;
				}

				input:focus+.slider {
					box-shadow: 0 0 1px #2196F3;
				}

				input:checked+.slider:before {
					-webkit-transform: translateX(10px);
					-ms-transform: translateX(10px);
					transform: translateX(10px);
				}
			}
		}
	}
}